Bug 3670 - Why is DUE all caps on enhanced messages
Summary: Why is DUE all caps on enhanced messages
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Notices (show other bugs)
Version: master
Hardware: PC All
: PATCH-Sent (DO NOT USE) trivial (vote)
Assignee: Nicole C. Engard
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-26 12:05 UTC by Nicole C. Engard
Modified: 2012-10-25 23:04 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
proposed patch (1.72 KB, patch)
2009-09-26 00:06 UTC, Chris Cormack
Details | Diff | Splinter Review
updated patch for english only (1.74 KB, patch)
2011-01-20 00:34 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:13:32 UTC


---- Reported by nengard@gmail.com 2009-09-26 00:05:39 ----

This is a tini tiny bug that has been driving me nuts - the word DUE is the only word that is in all caps on the list of enhanced message types.



---- Additional Comments From nengard@gmail.com 2009-09-26 00:06:35 ----

Created an attachment
proposed patch





--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:13 UTC  ---

This bug was previously known as _bug_ 3670 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3670
Imported an attachment (id=1503)

Actual time not defined. Setting to 0.0
The original submitter of attachment 1503 [details] [review] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.

Comment 1 Nicole C. Engard 2010-07-28 13:42:23 UTC
This is marked fixed, but I can't find a record of this commit - has this been committed into 3.2? It's a simple little fix that doesn't change any features or strings (not really) so I'd love to see it in 3.2 if it's not already.
Comment 2 Nicole C. Engard 2010-07-28 13:47:29 UTC
adding bugs list to qa to get an answer to previous comment
Comment 3 Nicole C. Engard 2010-07-30 12:27:34 UTC
was never really fixed or pushed - reopening until the patch is pushed.
Comment 4 Katrin Fischer 2011-01-19 18:49:47 UTC
I see a translation problem here. The message_attributes table is part of the sql files that get translated. There should be no update to the database, only a change for new ones. Or an updatedatabase that checks for the existing of DUE.
Comment 5 Nicole C. Engard 2011-01-20 00:23:13 UTC
I'll update it to only update it if it says 'DUE' but we do need a db update because so many people have it that way right now and it DRIVES ME CRAZY!! :)
Comment 6 Nicole C. Engard 2011-01-20 00:34:21 UTC
Created attachment 3004 [details] [review]
updated patch for english only
Comment 7 Chris Cormack 2011-03-14 08:14:03 UTC
Patch pushed, please test and marked resolved
Comment 8 Ian Walls 2011-03-24 15:26:32 UTC
The database change works fine, but the display in the staff client is now broken.  Since the value of the notice no longer matches "Item DUE", the messaging-preferences-form.inc file falls down to labelling the notices as "Unknown".  Working on a patch.
Comment 9 Nicole C. Engard 2011-03-24 21:41:20 UTC
follow up patch signed off and sent to the list
Comment 10 Chris Cormack 2011-03-27 08:20:31 UTC
Follow up patch pushed, test
Comment 11 Julian Maurice 2011-04-01 08:46:17 UTC
Tested on master, "Item Due" is displayed correctly.